### File

`packages/components/layout/eui-toolbar/toolbar.component.ts`

### Implements

`OnInit` `AfterViewInit`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-toolbar`
imports | `AsyncPipe` `NgTemplateOutlet` `EuiToolbarLogoComponent` `EuiToolbarEnvironmentComponent` `EuiToolbarAppComponent` `EuiToolbarItemsComponent` `EuiToolbarItemComponent` `EUI_USER_PROFILE`
templateUrl | `./toolbar.component.html`
styleUrl | `./toolbar.component.scss`

### Index

###### Properties
asService hasMegaMenu hasMenu
###### Inputs
euiPrimary euiSecondary
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

euiPrimary
Type : `boolean`
Default value : `true`

euiSecondary
Type : `boolean`
Default value : `false`

### HostBindings

class
Type : `string`

### Properties

asService
Default value : `inject(EuiAppShellService)`

hasMegaMenu
Type : `EuiToolbarMegaMenuComponent`
Decorators : `@ContentChild(undefined)`

hasMenu
Type : `EuiToolbarMenuComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""